代码改变世界

解决mac-osx10.11下无法安装wxPython2.8-osx-unicode-2.8.12.1的问题

2016-04-18 13:10  狂师  阅读(5680)  评论(0编辑  收藏  举报

在mac-osx10.11版本下,安装RIDE前提需要装wxPython2.8-osx-unicode-2.8.12.1库,但在安装wxPython过程中,会提示安装失败,以下提供一种解决方案

 

这里我共享了这两个文件,请在你的Mac里下载下来,下载地址:

链接:https://pan.baidu.com/s/1AhyKtzUfF4Ox0Jdahdli1Q  密码:zmpt

 

首先说一下方案思路,我先在10.10里找wxPython的安装目录,在windows里其实它是在Python的site-packages目录里,在mac里不是这样,mac的site-packages目录是Library/Python/2.7/site-packages/,在这里我只找到了wxredirect.pth这个文件,根据这个文件的内容,找到了wxPython的目录在

/usr/local/lib/wxPython-unicode-2.8.12.1/

 

所以我把pth文件和wxPython的目录都拷贝到10.11里,然后按一样的进行配置,就完成了wxPython的安装。

 

 

在下载目录里双击wxPython-2.8.12.1.zip文件,等待它解压缩完成,解压后的目录是wxPython-unicode-2.8.12.1。

 

接着是操作步骤:

a. 拷贝pth文件到指定目录

  

sudo cp ~/Downloads/wxredirect.pth /Library/Python/2.7/site-packages/

b. 拷贝wxPython目录到指定目录

在执行命令之前,请先确保你的/usr/local/lib目录是存在的,如果lib目录没有请自己创建一个:

sudo mkdir /usr/local/lib

 

如果已经有lib目录就不用创建目录了,直接执行下面的语句

sudo cp -r ~/Downloads/wxPython-unicode-2.8.12.1/ /usr/local/lib/wxPython-unicode-2.8.12.1/

 拷贝完成后,确保/usr/local/lib/wxPython-unicode-2.8.12.1/目录下是bin、include、lib、share四个目录。

这样就完成了wxPython的安装了,然后请自行完成ride的安装。 

 

如何验证:

上述配置操作后,可以在命令行命令ride.py来验证是否安装正确,也可直接import wx来验证,如果import wx提示no matching architecture in universal vrapper错误,原因是因为当前Python版本不匹配,可换成python-2.7.12-macosx10.5.pkg (需安装32bit)

 

因为wxPython2.9和3.0都是默认64位的,在运行ride.py时不会提示32位Python的(2.9我不太确认),而我们拷贝过来的2.8.12.1的版本是32位的,所以在完成wxPython安装后,运行ride.py会提示这个:

python should be executed in 32-bit mode with wxPython on OSX.

 

 

这里我们简单用一个命令处理一下,在终端运行命令:

defaults write com.apple.versioner.python Prefer-32-Bit -bool yes

 

 

上述执行完成后,如果robotframework所需库都安装完毕后,在命令提示中输入ride.py即可启动成功。

技术改变世界! --狂诗绝剑